package dictionary_admin

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/dictionary_admin"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route post /api/admin/dictionary/create dictionary_admin CreateDictionaryAdmin
//
// Create dictionary | 创建字典
//
// Create dictionary | 创建字典
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: DictionaryInfo
//
// Responses:
//  200: BaseID

func CreateDictionaryAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.DictionaryInfo
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := dictionary_admin.NewCreateDictionaryAdminLogic(r, r.Context(), svcCtx)
		resp, err := l.CreateDictionaryAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, resp, err)

	}
}
